
GammaLib - Action #3910

Add DRM model to COMPTEL interface

11/27/2021 01:01 AM - Knödlseder Jürgen

Status: Closed Start date: 11/27/2021

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.0.0   

Description

It should be possible to directly fit a DRM to the data. It remains to be seen whether the DRM should be added to the model XML file

or to the observation XML file.

History

#1 - 11/27/2021 02:27 AM - Knödlseder Jürgen

- Status changed from New to In Progress

- Assigned To set to Knödlseder Jürgen

- % Done changed from 0 to 50

I started an initial implementation of the class GCOMModelDRM. It seems to work, yet I still need to implement:

a check for the consistency of the DRE with the DRM, at least in the number of bins

implement the Python saving and loading

#2 - 11/28/2021 06:16 PM - Knödlseder Jürgen

- % Done changed from 50 to 70

The Python saving and loading was implemented. The code was merged into devel. Still need to implement the consistency checking.

#3 - 03/15/2022 11:45 AM - Knödlseder Jürgen

- Status changed from In Progress to Closed

- % Done changed from 70 to 100

Merged into devel.
